import jingrow
from jingrow.website.page_renderers.template_page import TemplatePage


class ListPage(TemplatePage):
	def can_render(self):
		return jingrow.db.exists("PageType", self.path, True)

	def render(self):
		jingrow.local.form_dict.pagetype = self.path
		self.set_standard_path("list")
		return super().render()
